- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QStateMachine::SignalEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 73 of file qstatemachine.h.

`#include <qstatemachine.h>`

Inheritance diagram for QStateMachine::SignalEvent:
[legend]

List of all members.

## Public Member Functions
| SignalEvent (QObject *sender, int signalIndex, const QList< QVariant > &arguments)
| ~SignalEvent ()
QObject * | sender () const
int | signalIndex () const
QList< QVariant > | arguments () const
## Friends
class | QSignalTransitionPrivate

## Constructor & Destructor Documentation

SignalEvent | ( | QObject * | sender,
|  | int | signalIndex,
|  | const QList< QVariant > & | arguments
| ) |  |

~SignalEvent | ( |  | ) |

## Member Function Documentation

QObject* sender | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 80 of file qstatemachine.h.

    { return m_sender; }

int signalIndex | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 81 of file qstatemachine.h.

    { return m_signalIndex; }

QList<QVariant> arguments | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 82 of file qstatemachine.h.

    { return m_arguments; }

## Friends And Related Function Documentation

friend class QSignalTransitionPrivate `[friend]`

Search for all occurrences

Definition at line 89 of file qstatemachine.h.

The documentation for this class was generated from the following file:

- QtCore/qstatemachine.h

QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent
QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent QStateMachine::SignalEvent